Retrieve a compressed report, in zip or .tar.gz format, of server usage in a given timeframe.
Required Roles
Your API Key must have the Global Owner role to successfully call this resource.
Request
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /usage/reportRequest Path Parameters
This endpoint doesn't use HTTP request path parameters.
Request Query Parameters
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
startDate | string | Required | Date in ISO 8601 date format when the report starts. | |
endDate | string | Required | Date in ISO 8601 date format when the report ends. | |
fileFormat | String | Required | Compression format of the resulting report. Ops Manager accepts zip or .tar.gz. | |
redact | Boolean | Optional | Flag that indicates whether the response should censor all IP addresses, hostnames, organization names, and project names in the report. | true |
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
This endpoint returns either a .zip or .tar.gz compressed file based on your fileFormat parameter.
Example Request
curl --user "{publicApiKey}:{privateApiKey}" --digest \ --header "Accept: application/gzip" \ --include \ --request GET "https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/usage/report?startDate=2019-07-27&endDate=2020-07-28&fileFormat=zip"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
This endpoint returns either a .zip or .tar.gz compressed file based on your fileFormat parameter.